## db 4.6.21

=== docs_src/dbc/Makefile ===
# $Id: Makefile,v 1.4 2007/05/08 21:37:19 bostic Exp $

COMMON=	dbc_class.html \
	dbc_close.html \
	dbc_count.html \
	dbc_del.html \
	dbc_dup.html \
	dbc_get.html \
	dbc_list.html \
	dbc_put.html \
	dbc_set_priority.html
