=== docs_src/exc/Makefile ===
# $Id: Makefile,v 10.5 2006/10/05 01:06:05 bostic Exp $

COMMON=
CXX=	exc_package.html
