=== docs_src/images/Makefile ===
# $Id: Makefile,v 10.13 2007/07/06 18:24:51 bostic Exp $

COPY=	api.gif next.gif prev.gif ps.gif ref.gif
BUILD=

all: ${BUILD}
