=== docs_src/log/Makefile ===
# $Id: Makefile,v 1.6 2005/09/30 19:00:24 bostic Exp $

COMMON=	env_set_lg_bsize.html \
	env_set_lg_dir.html \
	env_set_lg_max.html \
	env_set_lg_mode.html \
	env_set_lg_regionmax.html \
	log_archive.html \
	log_compare.html \
	log_cursor.html \
	log_file.html \
	log_flush.html \
	log_list.html \
	log_printf.html \
	log_put.html \
	log_stat.html \
	logc_class.html \
	logc_close.html \
	logc_get.html \
	lsn_class.html
