=== docs_src/mutex/Makefile ===
# $Id: Makefile,v 10.1 2005/07/20 16:33:59 bostic Exp $

COMMON=	mutex_alloc.html \
	mutex_free.html \
	mutex_list.html \
	mutex_lock.html \
	mutex_set_align.html \
	mutex_set_max.html \
	mutex_set_tas_spins.html \
	mutex_stat.html \
	mutex_unlock.html
