=== docs_src/rep/Makefile ===
# $Id: Makefile,v 1.8 2007/06/22 16:57:17 bostic Exp $

COMMON=	rep_config.html \
	rep_elect.html \
	rep_limit.html \
	rep_list.html \
	rep_message.html \
	rep_nsites.html \
	rep_priority.html \
	rep_request.html \
	rep_start.html \
	rep_stat.html \
	rep_sync.html \
	rep_timeout.html \
	rep_transport.html\
	repmgr_ack_policy.html \
	repmgr_local_site.html \
	repmgr_remote_site.html \
	repmgr_site_list.html \
	repmgr_start.html \
	repmgr_stat.html
