=== docs_src/utility/Makefile ===
# $Id: Makefile,v 10.13 2007/05/04 14:14:11 bostic Exp $

BUILD=  berkeley_db_svc.html db_archive.html db_checkpoint.html \
	db_codegen.html db_deadlock.html db_dump.html db_hotbackup.html \
	db_load.html db_printlog.html db_recover.html db_stat.html \
	db_upgrade.html db_verify.html index.html

XML=	index.html dbxml_dump.html dbxml_load.html dbxmlsh.html \
	load_container.html
