=== docs_src/ref/apprec/Makefile ===
# $Id: Makefile,v 10.2 2002/06/22 13:57:29 bostic Exp $

BUILD=	auto.html config.html def.html intro.html

all: ${BUILD}
