=== docs_src/ref/build_brew/Makefile ===
# $Id: Makefile,v 1.1 2006/11/13 16:32:52 bostic Exp $

BUILD=	intro.html

all: ${BUILD}
