=== docs_src/ref/build_s60/Makefile ===
# $Id: Makefile,v 1.1 2007/04/18 16:09:28 bostic Exp $

BUILD=	intro.html

all: ${BUILD}
