=== docs_src/ref/build_wince/Makefile ===
# $Id: Makefile,v 1.1 2007/05/30 08:39:08 alexg Exp $

BUILD=	faq.html intro.html notes.html

all: ${BUILD}
