=== docs_src/ref/cam/Makefile ===
# $Id: Makefile,v 10.7 2005/09/23 16:26:36 bostic Exp $

BUILD=	app.html fail.html intro.html

all: ${BUILD}
