## db 05apr2009

=== Makefile ===
BINDIR =	/usr/local/bin
LIBDIR =	/usr/local/lib
INCDIR =	/usr/local/include
MANDIR =	/usr/local/man/man1
CC =		gcc
CFLAGS =	-O -Wall -I.
#CFLAGS =	-g -Wall
LDFLAGS =	-s -L.
#LDFLAGS =	-g

all:		db

db:		db.c libdb.a libdb.h
	${CC} ${CFLAGS} db.c ${LDFLAGS} -ldb -o db

libdb.a:	libdb.o
	ar rc libdb.a libdb.o

libdb.o:	libdb.c libdb.h
	${CC} ${CFLAGS} -c libdb.c

install:	all
	rm -f ${BINDIR}/db
	cp db ${BINDIR}/db
	rm -f ${LIBDIR}/libdb.a
	cp libdb.a ${LIBDIR}/libdb.a
	rm -f ${INCDIR}/libdb.h
	cp libdb.h ${INCDIR}/libdb.h
	rm -f ${MANDIR}/db.1
	cp db.1 ${MANDIR}/db.1

clean:
	rm -f db *.o *.a core core.* *.core
