## db 5.1.19

=== debian/changelog ===
db (5.1.19-2ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Pass --build/--host to configure to support cross-building, and don't
      override CC.
    - Disable the Java build when cross-building, for now.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Dec 2010 14:38:37 +0000

db (5.1.19-2) unstable; urgency=low

  * Remove ancient Conflicts.
  * Add Conflicts for libdb5.0-dev and libdb5.0-tcl just in case.
    closes: #602363.

 -- Clint Adams <clint@gnu.org>  Sun, 05 Dec 2010 15:14:08 -0500

db (5.1.19-1ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Pass --build/--host to configure to support cross-building, and don't
      override CC.
    - Disable the Java build when cross-building, for now.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Nov 2010 15:02:09 +0000

db (5.1.19-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <schizo@debian.org>  Mon, 20 Sep 2010 21:03:09 -0400

db (5.0.26-3ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Pass --build/--host to configure to support cross-building, and don't
      override CC.
    - Disable the Java build when cross-building, for now.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Oct 2010 22:16:35 +0100

db (5.0.26-3) unstable; urgency=low

  * Patch from Aurelien Jarno to avoid following javac symlinks to
    ultimately avoid failing to equate
    /usr/lib/jvm/default-java/bin/../../../.. to /usr when using
    GCJ.  closes: #594816.

 -- Clint Adams <schizo@debian.org>  Mon, 30 Aug 2010 19:18:11 -0400

db (5.0.26-2) unstable; urgency=low

  * Version initialized data symbols as well, since they are occurring
    on mips for some reason.
  * Bump to Standards-Version 3.9.1.

 -- Clint Adams <schizo@debian.org>  Sun, 29 Aug 2010 20:04:12 -0400

db (5.0.26-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards Version 3.9.0.

 -- Clint Adams <schizo@debian.org>  Sat, 10 Jul 2010 12:37:46 -0400

db (5.0.21-2) unstable; urgency=low

  * Force POSIX mutexes on avr32.

 -- Clint Adams <schizo@debian.org>  Wed, 21 Apr 2010 13:54:50 -0400

db (5.0.21-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.8.4.
  * Tweak symbol versioning hack to hack around db5.0 weirdness.
  * Add libdb5.0-{sql,stl}{,-dev} packages.

 -- Clint Adams <schizo@debian.org>  Sun, 04 Apr 2010 09:37:47 -0400

db (4.8.26-2) unstable; urgency=low

  * Tweaked patch from Rafael Almeida to fix misnamed DB_CURSOR_BULK
    flag in C/C++ API documentation.  closes: #574467.
  * Add avr32 as unsupported for Java.  closes: #575138.
  * Rewrite db4.8-doc long description.  closes: #550106.
  * Add Java support for alpha.  closes: #541612.

 -- Clint Adams <schizo@debian.org>  Thu, 25 Mar 2010 08:23:14 -0400

db (4.8.26-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <schizo@debian.org>  Tue, 29 Dec 2009 15:26:27 -0500

db (4.8.24-2) unstable; urgency=low

  * Fix typo in description of libdb4.8-java-gcj.
  * db4.8_load.1: fix typo of "keyword", thanks to "sobtwmxt".
    closes: #551457.
  * Clarify db4.8_load(1) title.  closes: #557568.
  * Fix -java-gcj package build for gcj-4.4.  closes: #558334.
  * Switch to 3.0 (quilt) source format.

 -- Clint Adams <schizo@debian.org>  Wed, 16 Dec 2009 22:43:58 -0500

db (4.8.24-1ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ignore test results on armel; testsuite fails on the buildd with 
        FAIL: run_subsystem: env env014:  env194: munmap: Invalid argument
        FAIL: Unable to allocate memory for transaction detail
        FAIL: run_subsystem: log log005:  txn:not enough memory
    - Build-depend on debhelper, needed by dh_nativejava. It doesn't seem
      reasonable for libgcj-common to depend on debhelper since that's also
      used by run-time libraries.
    - Pass --build/--host to configure to support cross-building, and don't
      override CC.
    - Disable the Java build when cross-building, for now.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Nov 2009 13:37:44 +0000

db (4.8.24-1) unstable; urgency=low

  * New upstream version.
    - RPC support has been dropped.
  * Bump to Standards-Version 3.8.3.
  * Force POSIX/pthreads/library mutexes on amd64.  closes: #520926.

 -- Clint Adams <schizo@debian.org>  Tue, 15 Sep 2009 00:13:05 -0400

db (4.7.25-7ubuntu3~cross2) karmic; urgency=low

  * Disable the Java build when cross-building, for now.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Oct 2009 19:18:01 +0100

db (4.7.25-7ubuntu3~cross1) karmic; urgency=low

  * Pass --build/--host to configure to support cross-building, and don't
    override CC.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Oct 2009 19:14:36 +0100

db (4.7.25-7ubuntu2) karmic; urgency=low

  * Build-depend on debhelper, needed by dh_nativejava. It doesn't seem
    reasonable for libgcj-common to depend on debhelper since that's also
    used by run-time libraries.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Jul 2009 13:22:29 +0100

db (4.7.25-7ubuntu1) karmic; urgency=low

  * Merge with Debian; remaining changes:
  * Ignore test results on armel; testsuite fails on the buildd with 
      FAIL: run_subsystem: env env014:  env194: munmap: Invalid argument
      FAIL: Unable to allocate memory for transaction detail
      FAIL: run_subsystem: log log005:  txn:not enough memory

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jul 2009 15:28:25 +0200

db (4.7.25-7) unstable; urgency=low

  * Apply upstream patch 4.7.25.4: [#16299] Fix a bug which could cause
    a SEGV in __repmgr_available_site if a site becomes master after
    winning an election but is still processing client messages.
  * Bump to Standards-Version 3.8.2.
  * Move libdb4.7-dbg to section 'debug', priority 'extra'.
  * Move libdb4.7-java and libdb4.7-java-gcj to section 'java'.

