=== debian/control ===
Source: db
Section: libs
Priority: standard
Maintainer: Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50~),
	       tcl-dev,
	       procps [!hurd-i386],
	       javahelper,
	       default-jdk,
	       gcj-native-helper
Homepage: http://www.oracle.com/technology/software/products/berkeley-db/index.html
Vcs-Browser: http://git.debian.org/?p=pkg-db/db.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-db/db.git

Package: db5.1-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: Berkeley v5.1 Database Documentation [html]
 This package contains documentation in HTML format for all of
 the APIs (C, C++, C#, STL, Java, Tcl) and utilities provided
 by version 5.1 of Berkeley DB.

Package: libdb5.1-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.1 (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db5.1-doc
Conflicts: libdb4.6-dev, libdb4.7-dev, libdb4.8-dev
Description: Berkeley v5.1 Database Libraries [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.1 database library.

Package: libdb5.1
Architecture: any
Section: libs
Priority: standard
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.1 Database Libraries [runtime]
 This is the runtime package for programs that use the v5.1 Berkeley
 database library.

Package: db5.1-util
Architecture: any
Section: database
Priority: optional
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.1 Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v5.1 database format, and includes:
  - db5.1_archive: write the pathnames of the log files no longer in use.
  - db5.1_checkpoint: daemon process to monitor the database log and
    checkpoint it periodically.
  - db5.1_deadlock: traverse the database environment lock region and
    abort lock requests when a deadlock is detected.
  - db5.1_load: loads (and creates) a database from standard input.
  - db5.1_dump: read a database file and write it in a format understood
    by db4.{2..8}_load.
  - db5.1_printlog: dump log files in human readable format.
  - db5.1_stat: display statistics for Berkeley DB environments.
  - db5.1_upgrade: upgrades the version of files and the databases they
    contain.
  - db5.1_verify: check the structure of files and their databases.

Package: db5.1-sql-util
Architecture: any
Section: database
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.1 SQL Database Utilities
 This package provides different tools for manipulating databases
 in the Berkeley v5.1 SQL database format, and includes:
  - db5.1

Package: libdb5.1++
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Section: libs
Priority: optional
Description: Berkeley v5.1 Database Libraries for C++ [runtime]
 This is the runtime package for programs that use the Berkeley v5.1
 database library.  This is only for programs which use the C++ interface.

Package: libdb5.1++-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.1++ (= ${binary:Version}),
	 libdb5.1-dev (= ${binary:Version}),
	 ${misc:Depends}
Conflicts: libdb4.6++-dev, libdb4.7++-dev, libdb4.8++-dev
Description: Berkeley v5.1 Database Libraries for C++ [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.1 database library.  This is only for
 programs which will use the C++ interface.

Package: libdb5.1-tcl
Architecture: any
Section: interpreters
Priority: extra
Conflicts: libdb4.6-tcl, libdb4.7-tcl, libdb4.8-tcl
Depends: ${tcl:Depends},
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.1 Database Libraries for Tcl [module]
 This package provides a Tcl module suitable for accessing Berkeley v5.1
 databases from within Tcl programs.

Package: libdb5.1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libdb5.1 (= ${binary:Version}),
	 ${misc:Depends}
Description: Berkeley v5.1 Database Libraries [debug]
 This package provides the debug symbols for the Berkeley v5.1 database
 libraries and binaries.

Package: libdb5.1-java
Architecture: any
Section: java
Priority: optional
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Recommends: libdb5.1-java-gcj
Description: Berkeley v5.1 Database Libraries for Java
 This package provides the Java interface for the Berkeley v5.1 database
 library.

Package: libdb5.1-java-gcj
Architecture: any
Section: java
Priority: optional
Depends: libdb5.1-java (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.1 Database Libraries for Java (native code)
 This package provides the Java interface for the Berkeley v5.1 database
 library.
 .
 This package contains the natively compiled code for use by gij.

Package: libdb5.1-java-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libdb5.1-java (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Conflicts: libdb4.6-java-dev, libdb4.7-java-dev, libdb4.8-java-dev
Description: Berkeley v5.1 Database Libraries for Java [development]
 This package provides the Java interface for the Berkeley v5.1 database
 library.

Package: libdb5.1-sql-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.1-sql (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db5.1-doc
Description: Berkeley v5.1 Database Libraries [SQL development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.1 database library.

Package: libdb5.1-sql
Architecture: any
Section: libs
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.1 Database Libraries [SQL runtime]
 This is the runtime package for programs that use the v5.1 Berkeley
 database SQL library.

Package: libdb5.1-stl-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libdb5.1-stl (= ${binary:Version}),
	 ${misc:Depends}
Suggests: db5.1-doc
Description: Berkeley v5.1 Database Libraries [STL development]
 This is the development package which contains headers and static
 libraries for the Berkeley v5.1 database library.

Package: libdb5.1-stl
Architecture: any
Section: libs
Priority: extra
Depends: ${shlibs:Depends},
	 ${misc:Depends}
Description: Berkeley v5.1 Database Libraries [STL runtime]
 This is the runtime package for programs that use the v5.1 Berkeley
 database STL library.
